POST api/v1/phone-validation
Request Information
URI Parameters
None.
Body Parameters
PhoneValidationPostModel| Name | Description | Type | Additional information |
|---|---|---|---|
| phone_number | string |
None. |
|
| patient_id | globally unique identifier |
None. |
|
| force_refresh | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"phone_number": "sample string 1",
"patient_id": "7d1a7a1d-efd7-42fd-9ddd-bdb1f1ec1217",
"force_refresh": true
}
application/xml, text/xml
Sample:
<PhoneValidationPostModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PhoneValidation"> <ForceRefresh>true</ForceRefresh> <PatientId>7d1a7a1d-efd7-42fd-9ddd-bdb1f1ec1217</PatientId> <PhoneNumber>sample string 1</PhoneNumber> </PhoneValidationPostModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
PhoneValidationResultModel| Name | Description | Type | Additional information |
|---|---|---|---|
| e164_number | string |
None. |
|
| national_number | string |
None. |
|
| is_valid | boolean |
None. |
|
| line_type | string |
None. |
|
| carrier | string |
None. |
|
| error_code | integer |
None. |
|
| error_message | string |
None. |
|
| validated_at | date |
None. |
|
| outcome | string |
None. |
|
| from_cache | boolean |
None. |
Response Formats
application/json, text/json
Sample:
{
"e164_number": "sample string 1",
"national_number": "sample string 2",
"is_valid": true,
"line_type": "sample string 4",
"carrier": "sample string 5",
"error_code": 1,
"error_message": "sample string 6",
"validated_at": "2026-10-12T23:25:20.4076504+00:00",
"outcome": "sample string 7",
"from_cache": true
}
application/xml, text/xml
Sample:
<PhoneValidationResultModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PhoneValidation"> <Carrier>sample string 5</Carrier> <E164Number>sample string 1</E164Number> <ErrorCode>1</ErrorCode> <ErrorMessage>sample string 6</ErrorMessage> <FromCache>true</FromCache> <IsValid>true</IsValid> <LineType>sample string 4</LineType> <NationalNumber>sample string 2</NationalNumber> <Outcome>sample string 7</Outcome> <ValidatedAt>2026-10-12T23:25:20.4076504+00:00</ValidatedAt> </PhoneValidationResultModel>